ONVIF::Device::Types::SystemDateTime(3pm)

NAME
ONVIF::Device::Types::SystemDateTime

DESCRIPTION
Perl data type class for the XML Schema defined complexType SystemDateTime from the namespace http://www.onvif.org/ver10/schema.

General date time inforamtion returned by the GetSystemDateTime method.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   DateTimeType

•   DaylightSavings

•   TimeZone

•   UTCDateTime

•   LocalDateTime

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::SystemDateTime
   DateTimeType => $some_value, # SetDateTimeType
   DaylightSavings =>  $some_value, # boolean
   TimeZone =>  { # ONVIF::Device::Types::TimeZone
     TZ =>  $some_value, # token
   },
   UTCDateTime =>  { # ONVIF::Device::Types::DateTime
     Time =>  { # ONVIF::Device::Types::Time
       Hour =>  $some_value, # int
       Minute =>  $some_value, # int
       Second =>  $some_value, # int
     },
     Date =>  { # ONVIF::Device::Types::Date
       Year =>  $some_value, # int
       Month =>  $some_value, # int
       Day =>  $some_value, # int
     },
   },
   LocalDateTime =>  { # ONVIF::Device::Types::DateTime
     Time =>  { # ONVIF::Device::Types::Time
       Hour =>  $some_value, # int
       Minute =>  $some_value, # int
       Second =>  $some_value, # int
     },
     Date =>  { # ONVIF::Device::Types::Date
       Year =>  $some_value, # int
       Month =>  $some_value, # int
       Day =>  $some_value, # int
     },
   },
   Extension =>  { # ONVIF::Device::Types::SystemDateTimeExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL